Approvals
GET
/organizations/{organizationId}/approvals
List approval flows
Abfrageparameter
pageToken
string
The cursor that keeps track of the current position in the results.
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
status
string
Possible values: active, deleted
objectType
string
objectAction
string
Possible values: create, update, delete
tags
string
Antwort-Payload
results
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.id
string
erforderlich
results.organizationId
string
results.workspaceId
string
results.ownerId
string
erforderlich
results.name
string
erforderlich
results.description
string
erforderlich
results.objectType
string
erforderlich
The identifier of the object
results.objectAction
string
erforderlich
The action performed on the object
Possible values: create, update, delete
results.steps
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.steps.type
string
erforderlich
Possible values: any, all
results.steps.users
array of string
erforderlich
results.steps.reviewers
array of object
Untergeordnete Attribute anzeigen
results.steps.reviewers.type
string
erforderlich
Possible values: user
results.steps.reviewers.id
string
erforderlich
results.steps.message
string
results.createdAt
string
erforderlich
results.updatedAt
string
erforderlich
results.tags
array of object
Untergeordnete Attribute anzeigen
results.tags.key
string
erforderlich
results.tags.value
string
erforderlich
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Codebeispiel
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/organizations/{organizationId}/approvals
Create approval flow
Anfrage-Payload
name
string
erforderlich
description
string
erforderlich
objectType
string
erforderlich
The identifier of the object
objectAction
string
erforderlich
The action performed on the object
Possible values: create, update, delete
tags
array of object
Untergeordnete Parameter anzeigen
tags.key
string
erforderlich
tags.value
string
erforderlich
steps
array of object
erforderlich
Untergeordnete Parameter anzeigen
steps.type
string
erforderlich
Possible values: any, all
steps.users
array of string
steps.reviewers
array of object
Untergeordnete Parameter anzeigen
steps.reviewers.type
string
erforderlich
Possible values: user
steps.reviewers.id
string
erforderlich
steps.message
string
Antwort-Payload
id
string
erforderlich
organizationId
string
workspaceId
string
ownerId
string
erforderlich
name
string
erforderlich
description
string
erforderlich
objectType
string
erforderlich
The identifier of the object
objectAction
string
erforderlich
The action performed on the object
Possible values: create, update, delete
steps
array of object
erforderlich
Untergeordnete Attribute anzeigen
steps.type
string
erforderlich
Possible values: any, all
steps.users
array of string
erforderlich
steps.reviewers
array of object
Untergeordnete Attribute anzeigen
steps.reviewers.type
string
erforderlich
Possible values: user
steps.reviewers.id
string
erforderlich
steps.message
string
createdAt
string
erforderlich
updatedAt
string
erforderlich
tags
array of object
Untergeordnete Attribute anzeigen
tags.key
string
erforderlich
tags.value
string
erforderlich
Codebeispiel
curl -X POST 'https://api.bird.com/organizations/{organizationId}/approvals' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}/approvals/{approvalId}
Retrieve approval flow
Antwort-Payload
id
string
erforderlich
organizationId
string
workspaceId
string
ownerId
string
erforderlich
name
string
erforderlich
description
string
erforderlich
objectType
string
erforderlich
The identifier of the object
objectAction
string
erforderlich
The action performed on the object
Possible values: create, update, delete
steps
array of object
erforderlich
Untergeordnete Attribute anzeigen
steps.type
string
erforderlich
Possible values: any, all
steps.users
array of string
erforderlich
steps.reviewers
array of object
Untergeordnete Attribute anzeigen
steps.reviewers.type
string
erforderlich
Possible values: user
steps.reviewers.id
string
erforderlich
steps.message
string
createdAt
string
erforderlich
updatedAt
string
erforderlich
tags
array of object
Untergeordnete Attribute anzeigen
tags.key
string
erforderlich
tags.value
string
erforderlich
Codebeispiel
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/organizations/{organizationId}/approvals/{approvalId}
Delete approval flow
Codebeispiel
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/organizations/{organizationId}/approvals/{approvalId}
Update approval flow
Anfrage-Payload
name
string
description
string
objectType
string
objectAction
string
Possible values: create, update, delete
steps
array of object
Untergeordnete Parameter anzeigen
steps.type
string
erforderlich
Possible values: any, all
steps.users
array of string
steps.reviewers
array of object
Untergeordnete Parameter anzeigen
steps.reviewers.type
string
erforderlich
Possible values: user
steps.reviewers.id
string
erforderlich
steps.message
string
Antwort-Payload
id
string
erforderlich
organizationId
string
workspaceId
string
ownerId
string
erforderlich
name
string
erforderlich
description
string
erforderlich
objectType
string
erforderlich
The identifier of the object
objectAction
string
erforderlich
The action performed on the object
Possible values: create, update, delete
steps
array of object
erforderlich
Untergeordnete Attribute anzeigen
steps.type
string
erforderlich
Possible values: any, all
steps.users
array of string
erforderlich
steps.reviewers
array of object
Untergeordnete Attribute anzeigen
steps.reviewers.type
string
erforderlich
Possible values: user
steps.reviewers.id
string
erforderlich
steps.message
string
createdAt
string
erforderlich
updatedAt
string
erforderlich
tags
array of object
Untergeordnete Attribute anzeigen
tags.key
string
erforderlich
tags.value
string
erforderlich
Codebeispiel
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'